import turtle
import random
import time

turtle.setup(500, 500)
turtle.setworldcoordinates(-20, -20, 20, 20)
turtle.addshape("naruto.gif")
turtle.addshape("smoke1.gif")
turtle.addshape("smoke2.gif")
turtle.addshape("smoke3.gif")

# make the default turtle as the real naruto
turtle.shape("naruto.gif")
turtle.up()
turtle.speed(0)
narutos = []

def wrong(x, y):
    print("Wrong!")

def no_chakra(x, y):
    print("No chakra...")

def smoke_effect(clone): # you can pass the turtle as an argument!
    time.sleep(0.05)
    clone.shape("smoke1.gif")
    time.sleep(0.05)
    clone.shape("smoke2.gif")
    time.sleep(0.05)
    clone.shape("smoke3.gif")
    time.sleep(0.05)

def correct(x, y):
    print("Correct!")
    for clone in narutos:
        smoke_effect(clone)
        clone.hideturtle()
    turtle.onclick(no_chakra)

def shadow_clone(x, y):    
    # Create 5 new clones
    for i in range(5):
        # Randomly position the real Naruto
        turtle.goto(random.randint(-18, 18), random.randint(-18, 18))

        # Create the clone
        clone = turtle.Turtle()
        clone.color("white")
        clone.hideturtle()
        clone.up()
        clone.goto(random.randint(-18, 18), random.randint(-18, 18))
        clone.showturtle()
        smoke_effect(clone)
        clone.shape("naruto.gif")
        clone.onclick(wrong)
        narutos.append(clone)
    
    # Make real clickable for correct answer
    turtle.onclick(correct)

# Set initial click handler
turtle.onclick(shadow_clone)

# turtle.bgpic("village.gif")

turtle.done()
